com.amazonaws.services.rds.model

## クラス PromoteReadReplicaRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.rds.model.PromoteReadReplicaRequest

- すべての実装されたインタフェース:
    java.io.Serializable

      public class PromoteReadReplicaRequest
      extends AmazonWebServiceRequest
      implements java.io.Serializable

  Container for the parameters to the `PromoteReadReplica operation`.

  Promotes a Read Replica DB Instance to a standalone DB Instance.

  関連項目:
    `AmazonRDS.promoteReadReplica(PromoteReadReplicaRequest)`, 直列化された形式

- - ### コンストラクタの概要

    コンストラクタ
    コンストラクタと説明
    `PromoteReadReplicaRequest()`

  - ### メソッドの概要

    メソッド
    修飾子とタイプ | メソッドと説明
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.Integer` | `getBackupRetentionPeriod()` The number of days to retain automated backups.
    `java.lang.String` | `getDBInstanceIdentifier()` The DB Instance identifier.
    `java.lang.String` | `getPreferredBackupWindow()` The daily time range during which automated backups are created if automated backups are enabled, using the `BackupRetentionPeriod` parameter.
    `int` | `hashCode()`
    `void` | `setBackupRetentionPeriod(java.lang.Integer backupRetentionPeriod)` The number of days to retain automated backups.
    `void` | `setDBInstanceIdentifier(java.lang.String dBInstanceIdentifier)` The DB Instance identifier.
    `void` | `setPreferredBackupWindow(java.lang.String preferredBackupWindow)` The daily time range during which automated backups are created if automated backups are enabled, using the `BackupRetentionPeriod` parameter.
    `java.lang.String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
    `PromoteReadReplicaRequest` | `withBackupRetentionPeriod(java.lang.Integer backupRetentionPeriod)` The number of days to retain automated backups.
    `PromoteReadReplicaRequest` | `withDBInstanceIdentifier(java.lang.String dBInstanceIdentifier)` The DB Instance identifier.
    `PromoteReadReplicaRequest` | `withPreferredBackupWindow(java.lang.String preferredBackupWindow)` The daily time range during which automated backups are created if automated backups are enabled, using the `BackupRetentionPeriod` parameter.

    - ### クラスから継承されたメソッド com.amazonaws.AmazonWebServiceRequest

      `copyPrivateRequestParameters, getRequestClientOptions, getRequestCredentials, setRequestCredentials`

    - ### クラスから継承されたメソッド java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### コンストラクタの詳細

    - #### PromoteReadReplicaRequest

          public PromoteReadReplicaRequest()

  - ### メソッドの詳細

    - #### getDBInstanceIdentifier

          public java.lang.String getDBInstanceIdentifier()

      The DB Instance identifier. This value is stored as a lowercase string.

      Constraints:

      - Must be the identifier for an existing Read Replica DB Instance
      - Must contain from 1 to 63 alphanumeric characters or hyphens
      - First character must be a letter
      - Cannot end with a hyphen or contain two consecutive hyphens

      Example: mydbinstance

      戻り値:
        The DB Instance identifier. This value is stored as a lowercase string.

        Constraints:

        - Must be the identifier for an existing Read Replica DB Instance
        - Must contain from 1 to 63 alphanumeric characters or hyphens
        - First character must be a letter
        - Cannot end with a hyphen or contain two consecutive hyphens

        Example: mydbinstance

    - #### setDBInstanceIdentifier

          public void setDBInstanceIdentifier(java.lang.String dBInstanceIdentifier)

      The DB Instance identifier. This value is stored as a lowercase string.

      Constraints:

      - Must be the identifier for an existing Read Replica DB Instance
      - Must contain from 1 to 63 alphanumeric characters or hyphens
      - First character must be a letter
      - Cannot end with a hyphen or contain two consecutive hyphens

      Example: mydbinstance

      パラメータ:
        `dBInstanceIdentifier` - The DB Instance identifier. This value is stored as a lowercase string.

        Constraints:

        - Must be the identifier for an existing Read Replica DB Instance
        - Must contain from 1 to 63 alphanumeric characters or hyphens
        - First character must be a letter
        - Cannot end with a hyphen or contain two consecutive hyphens

        Example: mydbinstance

    - #### withDBInstanceIdentifier

          public PromoteReadReplicaRequest withDBInstanceIdentifier(java.lang.String dBInstanceIdentifier)

      The DB Instance identifier. This value is stored as a lowercase string.

      Constraints:

      - Must be the identifier for an existing Read Replica DB Instance
      - Must contain from 1 to 63 alphanumeric characters or hyphens
      - First character must be a letter
      - Cannot end with a hyphen or contain two consecutive hyphens

      Example: mydbinstance

      Returns a reference to this object so that method calls can be chained together.

      パラメータ:
        `dBInstanceIdentifier` - The DB Instance identifier. This value is stored as a lowercase string.

        Constraints:

        - Must be the identifier for an existing Read Replica DB Instance
        - Must contain from 1 to 63 alphanumeric characters or hyphens
        - First character must be a letter
        - Cannot end with a hyphen or contain two consecutive hyphens

        Example: mydbinstance

    - #### getBackupRetentionPeriod

          public java.lang.Integer getBackupRetentionPeriod()

      The number of days to retain automated backups. Setting this parameter to a positive number enables backups. Setting this parameter to 0 disables automated backups.

      Default: 1

      Constraints:

      - Must be a value from 0 to 8
      戻り値:
        The number of days to retain automated backups. Setting this parameter to a positive number enables backups. Setting this parameter to 0 disables automated backups.

        Default: 1

        Constraints:

        - Must be a value from 0 to 8

    - #### setBackupRetentionPeriod

          public void setBackupRetentionPeriod(java.lang.Integer backupRetentionPeriod)

      The number of days to retain automated backups. Setting this parameter to a positive number enables backups. Setting this parameter to 0 disables automated backups.

      Default: 1

      Constraints:

      - Must be a value from 0 to 8
      パラメータ:
        `backupRetentionPeriod` - The number of days to retain automated backups. Setting this parameter to a positive number enables backups. Setting this parameter to 0 disables automated backups.

        Default: 1

        Constraints:

        - Must be a value from 0 to 8

    - #### withBackupRetentionPeriod

          public PromoteReadReplicaRequest withBackupRetentionPeriod(java.lang.Integer backupRetentionPeriod)

      The number of days to retain automated backups. Setting this parameter to a positive number enables backups. Setting this parameter to 0 disables automated backups.

      Default: 1

      Constraints:

      - Must be a value from 0 to 8

      Returns a reference to this object so that method calls can be chained together.

      パラメータ:
        `backupRetentionPeriod` - The number of days to retain automated backups. Setting this parameter to a positive number enables backups. Setting this parameter to 0 disables automated backups.

        Default: 1

        Constraints:

        - Must be a value from 0 to 8

    - #### getPreferredBackupWindow

          public java.lang.String getPreferredBackupWindow()

      The daily time range during which automated backups are created if automated backups are enabled, using the `BackupRetentionPeriod` parameter.

      Default: A 30-minute window selected at random from an 8-hour block of time per region. The following list shows the time blocks for each region from which the default backup windows are assigned.

      - US-East (Northern Virginia) Region: 03:00-11:00 UTC
      - US-West (Northern California) Region: 06:00-14:00 UTC
      - EU (Ireland) Region: 22:00-06:00 UTC
      - Asia Pacific (Singapore) Region: 14:00-22:00 UTC
      - Asia Pacific (Tokyo) Region: 17:00-03:00 UTC

      Constraints: Must be in the format `hh24:mi-hh24:mi`. Times should be Universal Time Coordinated (UTC). Must not conflict with the preferred maintenance window. Must be at least 30 minutes.

      戻り値:
        The daily time range during which automated backups are created if automated backups are enabled, using the `BackupRetentionPeriod` parameter.

        Default: A 30-minute window selected at random from an 8-hour block of time per region. The following list shows the time blocks for each region from which the default backup windows are assigned.

        - US-East (Northern Virginia) Region: 03:00-11:00 UTC
        - US-West (Northern California) Region: 06:00-14:00 UTC
        - EU (Ireland) Region: 22:00-06:00 UTC
        - Asia Pacific (Singapore) Region: 14:00-22:00 UTC
        - Asia Pacific (Tokyo) Region: 17:00-03:00 UTC

        Constraints: Must be in the format `hh24:mi-hh24:mi`. Times should be Universal Time Coordinated (UTC). Must not conflict with the preferred maintenance window. Must be at least 30 minutes.

    - #### setPreferredBackupWindow

          public void setPreferredBackupWindow(java.lang.String preferredBackupWindow)

      The daily time range during which automated backups are created if automated backups are enabled, using the `BackupRetentionPeriod` parameter.

      Default: A 30-minute window selected at random from an 8-hour block of time per region. The following list shows the time blocks for each region from which the default backup windows are assigned.

      - US-East (Northern Virginia) Region: 03:00-11:00 UTC
      - US-West (Northern California) Region: 06:00-14:00 UTC
      - EU (Ireland) Region: 22:00-06:00 UTC
      - Asia Pacific (Singapore) Region: 14:00-22:00 UTC
      - Asia Pacific (Tokyo) Region: 17:00-03:00 UTC

      Constraints: Must be in the format `hh24:mi-hh24:mi`. Times should be Universal Time Coordinated (UTC). Must not conflict with the preferred maintenance window. Must be at least 30 minutes.

      パラメータ:
        `preferredBackupWindow` - The daily time range during which automated backups are created if automated backups are enabled, using the `BackupRetentionPeriod` parameter.

        Default: A 30-minute window selected at random from an 8-hour block of time per region. The following list shows the time blocks for each region from which the default backup windows are assigned.

        - US-East (Northern Virginia) Region: 03:00-11:00 UTC
        - US-West (Northern California) Region: 06:00-14:00 UTC
        - EU (Ireland) Region: 22:00-06:00 UTC
        - Asia Pacific (Singapore) Region: 14:00-22:00 UTC
        - Asia Pacific (Tokyo) Region: 17:00-03:00 UTC

        Constraints: Must be in the format `hh24:mi-hh24:mi`. Times should be Universal Time Coordinated (UTC). Must not conflict with the preferred maintenance window. Must be at least 30 minutes.

    - #### withPreferredBackupWindow

          public PromoteReadReplicaRequest withPreferredBackupWindow(java.lang.String preferredBackupWindow)

      The daily time range during which automated backups are created if automated backups are enabled, using the `BackupRetentionPeriod` parameter.

      Default: A 30-minute window selected at random from an 8-hour block of time per region. The following list shows the time blocks for each region from which the default backup windows are assigned.

      - US-East (Northern Virginia) Region: 03:00-11:00 UTC
      - US-West (Northern California) Region: 06:00-14:00 UTC
      - EU (Ireland) Region: 22:00-06:00 UTC
      - Asia Pacific (Singapore) Region: 14:00-22:00 UTC
      - Asia Pacific (Tokyo) Region: 17:00-03:00 UTC

      Constraints: Must be in the format `hh24:mi-hh24:mi`. Times should be Universal Time Coordinated (UTC). Must not conflict with the preferred maintenance window. Must be at least 30 minutes.

      Returns a reference to this object so that method calls can be chained together.

      パラメータ:
        `preferredBackupWindow` - The daily time range during which automated backups are created if automated backups are enabled, using the `BackupRetentionPeriod` parameter.

        Default: A 30-minute window selected at random from an 8-hour block of time per region. The following list shows the time blocks for each region from which the default backup windows are assigned.

        - US-East (Northern Virginia) Region: 03:00-11:00 UTC
        - US-West (Northern California) Region: 06:00-14:00 UTC
        - EU (Ireland) Region: 22:00-06:00 UTC
        - Asia Pacific (Singapore) Region: 14:00-22:00 UTC
        - Asia Pacific (Tokyo) Region: 17:00-03:00 UTC

        Constraints: Must be in the format `hh24:mi-hh24:mi`. Times should be Universal Time Coordinated (UTC). Must not conflict with the preferred maintenance window. Must be at least 30 minutes.

    - #### toString

          public java.lang.String toString()

      Returns a string representation of this object; useful for testing and debugging.
      オーバーライド:
        `toString` クラス内 `java.lang.Object`
      戻り値:
        A string representation of this object.
      関連項目:
        `Object.toString()`

    - #### hashCode

          public int hashCode()

      オーバーライド:
        `hashCode` クラス内 `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      オーバーライド:
        `equals` クラス内 `java.lang.Object`